OpenVDB 12.1.0

Loading...
Searching...
No Matches
NodeVisitor.h File Reference

Implementation of a depth-first node visitor. More...

`#include <openvdb/version.h>`
`#include <openvdb/Types.h>`

Go to the source code of this file.

## Classes
struct | DepthFirstNodeVisitor< NodeT, LEVEL >
| Visit all nodes that are downstream of a specific node in depth-first order and apply a user-supplied functor to each node. More...
struct | DepthFirstNodeVisitor< NodeT, 0 >

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::tools

## Functions
template<typename TreeT, typename OpT>
size_t | visitNodesDepthFirst (TreeT &tree, OpT &op, size_t idx=0)
| Visit all nodes in the tree depth-first and apply a user-supplied functor to each node.

## Detailed Description

Implementation of a depth-first node visitor.

Author
  Dan Bailey

Note
  This algorithm is single-threaded by design and intended for rare use cases where this is desirable. It is highly recommended to use the NodeManager or DynamicNodeManager for much greater threaded performance.